from ocyan.main.loading import is_model_registered

from .abstract_models import AbstractContentPage

__all__ = []

if not is_model_registered("wagtail_content_page", "ContentPage"):

    class ContentPage(AbstractContentPage):
        pass

    __all__.append("ContentPage")
